<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@0008=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mw@1490</action>
    </script>
    <script state="run">
      <action>maincpu.mw@1490=0190</action>
    </script>
    <script state="off">
      <action>maincpu.mw@1490=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Finish Current Stage Now!">
    <script state="on">
      <action>maincpu.pd@0060=00000000</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@0035=06</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage PL1"> <comment>Set on the 'Push Player Button' message screen after you've inserted a credit</comment>
    <parameter min="1" max="8" step="1"/>
    <script state="on">
      <action>maincpu.pb@0036=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@0036=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@003D=06</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage PL2"> <comment>Set on the 'Push Player Button' message screen after you've inserted a credit</comment>
    <parameter min="1" max="8" step="1"/>
    <script state="on">
      <action>maincpu.pb@003E=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@003E=(param-1)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
